Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Interface MonitorMBean

All Known Subinterfaces:
  CounterMonitorMBean, GaugeMonitorMBean, StringMonitorMBean

All Known Implementing Classes:
  Monitor

public interface MonitorMBean

Exposes the remote management interface of monitor MBeans.

Author:
  Young Yang

Method Summary
`void` | `addObservedObject(ObjectName object)` Adds the specified object in the set of observed MBeans.
`boolean` | `containsObservedObject(ObjectName object)` Tests whether the specified object is in the set of observed MBeans.
`long` | `getGranularityPeriod()` Gets the granularity period (in milliseconds).
`java.lang.String` | `getObservedAttribute()` Gets the attribute being observed.
`ObjectName[]` | `getObservedObjects()` Returns an array containing the objects being observed.
`boolean` | `isActive()` Tests if the monitor MBean is active.
`void` | `removeObservedObject(ObjectName object)` Removes the specified object from the set of observed MBeans.
`void` | `setGranularityPeriod(long period)` Sets the granularity period (in milliseconds).
`void` | `setObservedAttribute(java.lang.String attribute)` Sets the attribute to observe.

Method Detail

### addObservedObject

    public void addObservedObject(ObjectName object)
                           throws java.lang.IllegalArgumentException

  Adds the specified object in the set of observed MBeans.
  Parameters:
    `object` - The object to observe.
  Throws:
    `java.lang.IllegalArgumentException` - the specified object is null.
  Since:
    JMX 1.2

### removeObservedObject

    public void removeObservedObject(ObjectName object)

  Removes the specified object from the set of observed MBeans.
  Parameters:
    `object` - The object to remove.
  Since:
    JMX 1.2

### containsObservedObject

    public boolean containsObservedObject(ObjectName object)

  Tests whether the specified object is in the set of observed MBeans.
  Parameters:
    `object` - The object to check.
  Returns:
    `true` if the specified object is in the set, `false` otherwise.
  Since:
    JMX 1.2

### getObservedObjects

    public ObjectName[] getObservedObjects()

  Returns an array containing the objects being observed.
  Returns:
    The objects being observed.
  Since:
    JMX 1.2

### getObservedAttribute

    public java.lang.String getObservedAttribute()

  Gets the attribute being observed.
  Returns:
    The attribute being observed.
  See Also:
    `setObservedAttribute(java.lang.String)`

### setObservedAttribute

    public void setObservedAttribute(java.lang.String attribute)

  Sets the attribute to observe.
  Parameters:
    `attribute` - The attribute to observe.
  See Also:
    `getObservedAttribute()`

### getGranularityPeriod

    public long getGranularityPeriod()

  Gets the granularity period (in milliseconds).
  Returns:
    The granularity period.
  See Also:
    `setGranularityPeriod(long)`

### setGranularityPeriod

    public void setGranularityPeriod(long period)
                              throws java.lang.IllegalArgumentException

  Sets the granularity period (in milliseconds).
  Parameters:
    `period` - The granularity period.
  Throws:
    `java.lang.IllegalArgumentException` - The granularity period is less than or equal to zero.
  See Also:
    `getGranularityPeriod()`

### isActive

    public boolean isActive()

  Tests if the monitor MBean is active. A monitor MBean is marked active when the doStart() method is called. It becomes inactive when the doStart() method is called.
  Returns:
    `true` if the monitor MBean is active, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD